Name:      libspatialite
Version:   5.1.0
Release:   %mkrel 2
Summary:   Enables SQLite to support spatial data
Group:     System Environment/Libraries
License:   MPLv1.1 or GPLv2+ or LGPLv2+
URL:       https://www.gaia-gis.it/fossil/libspatialite
Source0:   http://www.gaia-gis.it/gaia-sins/%{name}-sources/%{name}-%{version}.tar.xz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: %{_lib}proj-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}geos-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: librttopo-devel

%description
SpatiaLite is a a library extending the basic SQLite core
in order to get a full fledged Spatial DBMS, really simple
and lightweight, but mostly OGC-SFS compliant.

%package devel
Summary:  Development libraries and headers for SpatiaLite
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
autoreconf -vfi
###export CFLAGS="%{optflags} -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H"

%configure2_5x \
    --enable-freexl=no \
    --enable-static=no
%make_build


%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files 
%doc COPYING AUTHORS
%{_libdir}/%{name}.so.*
%{_libdir}/mod_spatialite.so.*

%files devel
%doc examples/*.c
%{_includedir}/spatialite*
%{_libdir}/%{name}.so
%{_libdir}/mod_spatialite.so
%{_libdir}/pkgconfig/spatialite.pc


%changelog
* Tue Mar 05 2024 pp <pp> 5.1.0-2pclos2024
- rebuild against new proj

* Wed Nov 29 2023 pp <pp> 5.1.0-1pclos2023
- new version

* Thu Dec 08 2022 pp <pp> 5.0.1-5pclos2022
- rebuild against new proj

* Sun Mar 13 2022 pp <pp> 5.0.1-4pclos2022
- rebuild against new proj

* Sat Jul 03 2021 pp <pp> 5.0.1-3pclos2021
- rebuild against new proj

* Sun Mar 07 2021 pp <pp> 5.0.1-2pclos2021
- rebuild against new proj

* Fri Feb 19 2021 pp <pp> 5.0.1-1pclos2021
- update

* Wed Nov 04 2020 pp <pp> 5.0.0-1pclos2020
- update

* Sun Apr 19 2020 pp <pp> 4.3.0a-5pclos2020
- rebuild against new proj

* Sun Mar 17 2019 pp <pp> 4.3.0a-4pclos2019
- rebuild against new proj

* Sun Mar 03 2019 pp <pp> 4.3.0a-3pclos2019
- rebuild against new proj

* Sun Feb 19 2017 pp <pp> 4.3.0a-2pclos2017
- rebuild against new proj

* Sun Oct 11 2015 pp <pp> 4.3.0a-1pclos2015
- update

* Fri Mar 13 2015 pinoc  <vogtpet@gmail.com> 4.2.0-1pclos2015
- 4.2.0

* Fri Jan 18 2013 pinoc  <vogtpet@gmail.com> 4.0.0-2pclos2013
- rebuild

* Fri Dec 28 2012 pinoc <vogtpet@gmail.com> 4.0.0-1pclos2013
- adapted rebuild from fedora
